Bug 989713 - firefox-22.0-1.fc18: do_winsys_init: Process /usr/lib64/firefox/firefox was killed by signal 11 (SIGSEGV)
firefox-22.0-1.fc18: do_winsys_init: Process /usr/lib64/firefox/firefox was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:1863402ddeb643eab6387595908...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 14:37 EDT by Christopher Heiny
Modified: 2014-02-05 18:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:13:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (230.47 KB, text/plain)
2013-07-29 14:37 EDT, Christopher Heiny
no flags Details
File: cgroup (129 bytes, text/plain)
2013-07-29 14:37 EDT, Christopher Heiny
no flags Details
File: core_backtrace (2.08 KB, text/plain)
2013-07-29 14:37 EDT, Christopher Heiny
no flags Details
File: dso_list (8.50 KB, text/plain)
2013-07-29 14:37 EDT, Christopher Heiny
no flags Details
File: environ (2.36 KB, text/plain)
2013-07-29 14:37 EDT, Christopher Heiny
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-29 14:37 EDT, Christopher Heiny
no flags Details
File: maps (39.69 KB, text/plain)
2013-07-29 14:37 EDT, Christopher Heiny
no flags Details
File: open_fds (175 bytes, text/plain)
2013-07-29 14:38 EDT, Christopher Heiny
no flags Details
File: proc_pid_status (926 bytes, text/plain)
2013-07-29 14:38 EDT, Christopher Heiny
no flags Details
File: var_log_messages (2.21 KB, text/plain)
2013-07-29 14:38 EDT, Christopher Heiny
no flags Details

  None (edit)
Description Christopher Heiny 2013-07-29 14:37:36 EDT
Description of problem:
Put laptop to sleep (Suspend to RAM) with Firefox and other applications open.  Battery ran down before it could be recharged.  Started laptop again after plugging in power, boot and login to KDE was pretty much normal.  ABRT notified of a Firefox crash - that's what we have here.

Version-Release number of selected component:
firefox-22.0-1.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: do_winsys_init
executable:     /usr/lib64/firefox/firefox
kernel:         3.9.9-201.fc18.x86_64
runlevel:       N 5
uid:            431
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 do_winsys_init at radeon_drm_winsys.c:212
 #1 radeon_drm_winsys_create at radeon_drm_winsys.c:610
 #2 create_screen at target.c:11
 #3 dri2_init_screen at dri2.c:807
 #4 driCreateNewScreen at ../../../../src/mesa/drivers/dri/common/drisw_util.c:70
 #5 driswCreateScreen at drisw_glx.c:672
 #6 AllocAndFetchScreenConfigs at glxext.c:758
 #7 __glXInitialize at glxext.c:859
 #9 GetGLXPrivScreenConfig at glxcmds.c:174
 #11 glXChooseVisual at glxcmds.c:1197
Comment 1 Christopher Heiny 2013-07-29 14:37:40 EDT
Created attachment 780068 [details]
File: backtrace
Comment 2 Christopher Heiny 2013-07-29 14:37:42 EDT
Created attachment 780069 [details]
File: cgroup
Comment 3 Christopher Heiny 2013-07-29 14:37:46 EDT
Created attachment 780070 [details]
File: core_backtrace
Comment 4 Christopher Heiny 2013-07-29 14:37:50 EDT
Created attachment 780071 [details]
File: dso_list
Comment 5 Christopher Heiny 2013-07-29 14:37:53 EDT
Created attachment 780072 [details]
File: environ
Comment 6 Christopher Heiny 2013-07-29 14:37:56 EDT
Created attachment 780073 [details]
File: limits
Comment 7 Christopher Heiny 2013-07-29 14:37:59 EDT
Created attachment 780074 [details]
File: maps
Comment 8 Christopher Heiny 2013-07-29 14:38:01 EDT
Created attachment 780075 [details]
File: open_fds
Comment 9 Christopher Heiny 2013-07-29 14:38:04 EDT
Created attachment 780076 [details]
File: proc_pid_status
Comment 10 Christopher Heiny 2013-07-29 14:38:09 EDT
Created attachment 780077 [details]
File: var_log_messages
Comment 11 Martin Stransky 2013-08-30 07:23:46 EDT
This is an automated bug report processing. If you're able to reproduce the crash, please reopen it and remove the [abrt] string from the topics. And attach the reproduction steps.

Thanks!
Comment 12 Christopher Heiny 2013-08-30 13:42:15 EDT
Re-opened (well, the only option was changing it to ASSIGNED).  Removed [abrt].  Steps to reproduce are in the original description.  If you need additional info, let me know.
Comment 13 Martin Stransky 2013-10-11 16:11:02 EDT
I hope it's the right component. Please move if I'm wrong.
Comment 14 Fedora End Of Life 2013-12-21 10:35:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 18:13:17 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.